const first_page_number = 1;
const digit_num = 3;

$(function (){
    $("#outer_next_page_button").click(
        function(){
            var page_num = this.value;
            var new_page_number = toZeroPadding(this.value, digit_num);
            changePage(new_page_number, false);
        }
    );

    $("#outer_prev_page_button").click(
        function(){
            var new_page_number = toZeroPadding(this.value, digit_num);
            changePage(new_page_number, true);
        }
    );
});

// 要素の変更
function changePage(new_page_number, is_bottom) {
    replaceBackImage(new_page_number);
    replaceInnerText(new_page_number, is_bottom);
    replaceButtonPage(new_page_number);
};

// 背景画像の変更
function replaceBackImage(new_page_number) {
    var image_path = "url(./contents/image_" + new_page_number+ ".jpg)";
    document.body.style.backgroundImage = image_path;
};

// 内部のテキストの変更
function replaceInnerText(new_page_number, is_bottom) {

    var text_path = "./contents/text_" + new_page_number+ ".html";
    if (is_bottom === true) {
        text_path += "#bottom-line"
    }

    $("#text_iframe").attr({"src":text_path});
};

// ボタンの要素置き換え
function replaceButtonPage(new_page_number) {
    var next_page_number = String(parseInt(new_page_number) + 1);
    var prev_page_number = String(parseInt(new_page_number) - 1);

    var outer_next_page_button = $("#outer_next_page_button");
    var button_img_path="image/parts/next_button.jpg";
    outer_next_page_button.attr({'src':button_img_path});

    if(next_page_number <= max_page_number) {
        outer_next_page_button.text(next_page_number);
        outer_next_page_button.val(next_page_number);
        outer_next_page_button.show();
    } else {
        outer_next_page_button.hide();
    }

    var outer_prev_page_button = $("#outer_prev_page_button");
    if(prev_page_number >= first_page_number) {
        outer_prev_page_button.val = prev_page_number;
        outer_prev_page_button.text  = prev_page_number;
        outer_prev_page_button.show();
    } else {
        outer_prev_page_button.hide();
    }
};

// ページ番号の取得
window.onload = function(){
    // resizeWindow();

    var vars = parseParams();
    var page_number = vars["page"];
    if ( page_number == null ) {
        page_number = 1;
    } else {
        if( page_number.match( /[^0-9.,]+/ ) ) {
            page_number = 1;
        }
    }
    var new_page_number = toZeroPadding(page_number, digit_num);

    var image_path = "url(./contents/image_" + new_page_number + ".png)";
    document.body.style.backgroundImage = image_path;

    if ( page_number === 1 ) {
        $("#outer_prev_page_button").hide();
    }
    replaceInnerText(new_page_number, false);
};

// 窓枠をリサイズ
function resizeWindow() {
    $("#text_iframe").hide();

    var iframe_top = window.innerHeight * 0.5;
    var iframe_height = window.innerHeight * 0.5 - 20;
    var iframe_width = window.innerWidth - 40;

    $("#text_iframe").attr({"width":iframe_width, "height":iframe_width, "top":iframe_top});
    $("#text_iframe").show();
}

function parseParams() {
    var vars = {};
    var param = location.search.substring(1).split('&');
    for(var i = 0; i < param.length; i++) {
        var keySearch = param[i].search(/=/);
        var key = '';
        if(keySearch != -1) key = param[i].slice(0, keySearch);
        var val = param[i].slice(param[i].indexOf('=', 0) + 1);
        if(key != '') vars[key] = decodeURI(val);
    };
    return vars;
}